%define modulename SPARQLWrapper

Name:		python-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python
Version:	2.0.0
Release:	%mkrel 4
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://pypi.io/packages/source/S/%{modulename}/%{modulename}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

Requires: python3dist(rdflib) >= 6.1.1

Recommends: python3dist(pandas) >= 1.3.5


%description
A python based wrapper around a SPARQL service.
It helps in creating the query URI and, possibly,
convert the result into a more manageable format.

%package -n python3-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-sparqlwrapper}

%description -n python3-sparqlwrapper
A python 3 based wrapper around a SPARQL service.
It helps in creating the query URI and, possibly,
convert the result into a more manageable format.


%prep
%setup -q -n %{modulename}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modulename}

# Tests need a Internett connection, thus we don't run them

%files -n python3-sparqlwrapper -f %{pyproject_files}
%doc README.rst LICENSE.txt AUTHORS.md
%{_bindir}/rqw


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.0-4.mga10
+ Revision: 2158715
- rebuild for python3.13

* Tue Feb 06 2024 papoteur <papoteur> 2.0.0-3.mga10
+ Revision: 2037537
- rebuild for python 3.12

* Tue Apr 05 2022 papoteur <papoteur> 2.0.0-2.mga9
+ Revision: 1845192
- Update to 2.0.0. Add Requires for rdflib
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jun 26 2021 wally <wally> 1.8.2-4.mga9
+ Revision: 1732963
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.8.2-3.mga8
+ Revision: 1534129
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 1.8.2-2.mga8
+ Revision: 1447463
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.8.2-1.mga7
+ Revision: 1354403
- New version

* Thu Sep 20 2018 umeabot <umeabot> 1.5.2-11.mga7
+ Revision: 1290144
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.5.2-10.mga7
+ Revision: 1135646
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.5.2-9.mga6
+ Revision: 971130
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.5.2-8.mga6
+ Revision: 889300
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-7.mga5
+ Revision: 745495
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.2-6.mga5
+ Revision: 729783
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-5.mga5
+ Revision: 688344
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.5.2-4.mga5
+ Revision: 629023
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.5.2-3.mga4
+ Revision: 544240
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5.2-2.mga4
+ Revision: 499412
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.5.2-1.mga4
+ Revision: 470872
- imported package python-sparqlwrapper

